#!/bin/sh

export Repo=$1
export RepoRef=$2
export UrlBase=$3

export UrlLfsBase=${UrlBase}/${Repo}.git/info/lfs/objects
export Auth=$(git config --get --local http.${UrlBase}/.extraheader)
git config --local http.${UrlLfsBase}/batch.extraheader "$Auth"
git config --local http.${UrlLfsBase}/.extraheader ''

git config --local lfs.transfer.maxretries 1

git lfs install
git lfs pull origin ${RepoRef}